Bug 981982 - New Host - External provider
New Host - External provider
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.3.0
Assigned To: Oved Ourfali
Artyom
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 09:52 EDT by Eldan Hildesheim
Modified: 2016-02-10 14:27 EST (History)
7 users (show)

See Also:
Fixed In Version: is8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Checked External Providers (81.77 KB, image/png)
2013-07-07 09:52 EDT, Eldan Hildesheim
no flags Details
Current add host dialog (25.96 KB, image/png)
2013-07-17 07:09 EDT, Oved Ourfali
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 17243 None None None Never

  None (edit)
Description Eldan Hildesheim 2013-07-07 09:52:22 EDT
Created attachment 769988 [details]
Checked External Providers

Description of problem:
UI wise, page should be implemented as in the enclosed attachment.
The current proposition has 2 states:
-Unchecked External Providers (hide all related Ex. provider gui)
-Checked External Providers (show all related Ex. provider gui)


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Oved Ourfali 2013-07-17 07:06:49 EDT
Why was it moved to the beginning of the dialog?
IMO, the DC and Cluster should remain where they are.

Also, the fact that we today have a label, an info icon, and a search button (all three aren't in your gui mockup), makes it clear for the user... having a text box with some text in it (which I didn't see we use anywhere in the current UI), is very confusing, imo.

I agree we can hide some related widgets when it isn't checked, but why changing the entire view?
Comment 2 Oved Ourfali 2013-07-17 07:09:16 EDT
Created attachment 774731 [details]
Current add host dialog

Current add host dialog
Comment 3 Oved Ourfali 2013-07-17 07:10:47 EDT
Added to current view to ease the review process of other people as well.
Comment 4 Oved Ourfali 2013-07-22 05:41:04 EDT
After discussion with Eldan we agreed that the dialog will stay similar to the current one, with the following changes:
1. s/Show External Providers/Use External Providers
2. Hide all fields in case the checkbox is not checked
3. Use the same panel as the DC/Cluster
4. Choose the first host provider automatically when enabling.
Comment 5 Artyom 2013-08-12 09:38:44 EDT
Verified on is9
Comment 6 Itamar Heim 2014-01-21 17:26:18 EST
Closing - RHEV 3.3 Released
Comment 7 Itamar Heim 2014-01-21 17:29:43 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.